Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156476 - gnome-vfs default url handlers don't work for ftp:// url with directory path
Summary: gnome-vfs default url handlers don't work for ftp:// url with directory path
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 23:57 UTC by Ricky Ng-Adam
Modified: 2015-03-03 22:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 04:33:42 UTC


Attachments (Terms of Use)

Description Ricky Ng-Adam 2005-04-30 23:57:00 UTC
Description of problem:

clicking on ftp URL spits out:

Could not open the address "ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ":
There is no default action associated with this location

Version-Release number of selected component (if applicable):

gnome-terminal-2.10.0-1

How reproducible:

always

Steps to Reproduce:
1. click on ftp URL
2.
3.
  
Actual results:

error message pops up

Expected results:

use web browser, which is perfectly able to open ftp link...

Additional info:

Comment 1 Ricky Ng-Adam 2006-02-26 01:31:19 UTC
Problem is still there in FC5test3 (gnome-terminal-2.13.91-1)
Interestingly, I found something that works vs the link that doesn't:

[rngadam@localhost ~]$ cat hello.txt
ftp://lsof.itap.purdue.edu
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ

If I do Open link on the first, I get the appropriate dialog and I'm able to
connect.

If I do Open link on the second, I get:

Could not open the address "ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ":
There is no default action associated with this location.

So it would seem more subtle than what I first thought...  The parsing does not
differentiate between hostname and directory path!

Comment 2 Alexander Larsson 2006-02-28 10:47:04 UTC
That is not the problem. If you click on
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ things will work. The problem is
that we detect the type of the FAQ file to "application/octet-stream", and there
is not app to handle that.

Comment 3 Ricky Ng-Adam 2007-04-28 17:46:57 UTC
Problem still occurs in FC7 test 4.

Comment 4 Ricky Ng-Adam 2007-12-28 17:56:55 UTC
Problem still occurs in "Terminal 2.18.3" (Fedora 8).

I don't understand Alexander comment that there is no app to handle this.  If I
paste the URL in the browser (Firefox), I get a useful view of the information
so it would seem that Terminal should at least be able to do that...

Comment 5 Bug Zapper 2008-11-26 06:50:10 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 04:33:42 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.